=== debian/control ===
Source: ros-eloquent-ecl-linear-algebra
Section: misc
Priority: optional
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-eloquent-ament-cmake-gtest, ros-eloquent-ament-cmake-ros, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-ecl-build, ros-eloquent-ecl-converters, ros-eloquent-ecl-eigen, ros-eloquent-ecl-exceptions, ros-eloquent-ecl-formatters, ros-eloquent-ecl-license, ros-eloquent-ecl-math, ros-eloquent-sophus, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/ecl_linear_algebra
Standards-Version: 3.9.2

Package: ros-eloquent-ecl-linear-algebra
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-eloquent-ecl-build, ros-eloquent-ecl-converters, ros-eloquent-ecl-eigen, ros-eloquent-ecl-exceptions, ros-eloquent-ecl-formatters, ros-eloquent-ecl-license, ros-eloquent-ecl-math, ros-eloquent-sophus, ros-eloquent-ros-workspace
Description: Ecl frontend to a linear matrix package (currently eigen).
